local drawableSprite = require("structs.drawable_sprite")

local coreToggle = {}

coreToggle.name = "Arphimigon/LiminalSwitch"
coreToggle.depth = 2000

function coreToggle.sprite(room, entity)
    local tex1 = drawableSprite.fromTexture("objects/elementalToggle/active", entity)
    local tex2 = drawableSprite.fromTexture("objects/elementalToggle/top_lever", entity)
    return { tex1, tex2 }
end

coreToggle.placements = {
    name = "Liminal Switch",
    data = {
        element = 0
    }
}

return coreToggle